# bachelorprojectETC

Under finner du en liste over alle filene vi har utviklet i. Vi har gjort vårt beste for å fjerne mest mulig kode 
vi ikke har skrevet, og har kommentert i denne readme filen hvis ETC har laget noe av koden. Men vi kan ha oversett noen
linjer eller filer. 

Link til gitlab: https://git.gvk.idi.ntnu.no/SindreVikre/bachelorprojectetc

>Ajax:
>- ChargingEnodeLink.java
>- ChargingTagReport.java
>- ChargingTagSearch.java
>- SaveChargingProvider.java
>- SaveChargingTag.java

>Page controllers:
>- ApiSettingsChargingProviders.java
>- SolutionSetup.java 
>- ChargingHistory.java
>- ChargingHistoryDetails.java
>- ChargingProviderRegisterDialog.java
>- ChargingTagBindingDialog.java
>- ChargingTagDetails.java
>- ChargingTagDialog.java
>- ChargingTagOverview.java

>Java:
>- ChargingProvider.java
>- ChargingProviderFormat.java
>- ChargingSessionData.java
>- ChargingTag.java
>- ChargingProviderLogin.java
>- ChargingHistoryReport.java
>- ChargingTagExport.java
>- GetDbLoginUserInfo.java

>API:
>- ChargingTagProviderParser.java
>- EnodeWebhookAPI.java
>- GetChargingDataEnode.java

>IO:
>- ChargeIO.java
>- ChargeSQLIO.java
>- LoggingChargingIO.java
>- LoggingChargingSQLIO.java

>JSP:
>- apisettings.jsp
>- editApiChargingProviders.jsp
>- editChargingTag.jsp
>- AssetSettingsDeal.jsp
>- chargingHistory.jsp
>- ChargingProviderRegisterDialog.jsp
>- chargingTagBindingDialog.jsp
>- chargingTagDialog.jsp
>- chargingTagOverview.jsp

>Hjelpefunksjoner:
>- LabelFunctionReportDetail.java
>- Label2xFunctionReportDetail.java
>- LabelValueFunctionListUtil.java

>Tester:
>- ChargingProviderTest.java
>- ChargingTest.java

>Database:
>- autodb_dump.sql

>Restlet 
>> Vi har utviklet linje 336 til 340 og 208. Resten er fra ETC.
>- RestletApplicationRouter.java

>Bilder:
>- bachelorOkImage.png
>- bachelorXImage.png 
>- ladestasjon.png
>- RfidMassFuncImg.png

>Tekstfiler
>>I tekstfiler er det bare oversettelser som starter med 'ChargingTag' eller 'ChargingProvider' vi har laget. Eks.: 'ChargingTag.rfidNumber=RFID'
>- Messages_en.properties
>- Messages_no.properties
>- Messages_sv.properties
