package etc.caradmin.mvc.controller.charging;

import etc.caradmin.beans.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * Dataobjekt for lade kter
 *  @author Sindre E. V
 */
@EqualsAndHashCode(callSuper = true)
@lombok.Data
public class ChargingSessionData extends Data implements Serializable {

    /**
     * Laderens id
     */
    private String chargerId;

    /**
     * Dato ladingen ble gjennomfrt
     */
    private String date;

    /**
     * Laderens merke
     */
    private String brand;

    /**
     * Hva det kostet  lade
     */
    private Float price;

    /**
     * Hvor mange Kwh ladinge brukte
     */
    private Float kwh;

}
