<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="etc" uri="/WEB-INF/tags.tld" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>  
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<div style="float:right;"><img src="/images/newdesign/help_black.png" id="userDialogStepHelp" width="30" onclick="AssetSettingStep3Wizard();" /></div>
<div class="labelValueFunctionWrapper" style="min-height: auto;">
    <div class="labelValueFunctionHeaderFlex">
        <div class="labelValueFunctionFlexTr" style="font-size: 1rem;">${m["AssetSettings.UsageInfo"]} for ${assetCarId}</div>
    </div>
</div>
<etc:LabelValueFunctionListFlex objectList="${dealList}" headingItem="${dealHeading}"></etc:LabelValueFunctionListFlex>
<etc:LabelValueFunctionListFlex objectList="${otherInfoList}" headingItem="${otherHeading}"></etc:LabelValueFunctionListFlex>
<etc:LabelValueFunctionListFlex objectList="${limitList}" headingItem="${limitHeading}"></etc:LabelValueFunctionListFlex>
<div id="editAssetDealDialogHolder"></div>
<script>
function editAssetDealExtraInfo(path){	
	var url = '${solutionUrl}/x/'+path;
	var data = {'AssetNo':${assetNo}};
	var diag = "editAssetDealDialogHolder";
	if(path){
		dialogLinkItemShow(url, data, diag);
	}
}
function removeBuddy(id){
	var f = {AssetNo : ${assetNo}, removeAssetUser: id};		
	etcNavigate("/${solutionUrl}/x/AssetSettingBuddy", f);
}
function removeStandardUser(id){
	var f = {AssetNo : ${assetNo}, removeStandard: id};		
	etcNavigate("/${solutionUrl}/x/AssetSettingStandardUser", f);
}
function removeFuelCard(id, carid){
    var msg = "${m['FuelCard.RemoveCardConfirm']}";
    var ok = "${m['OK']}";
    var can = "${m['Cancel']}";
    var title = "${m['FuelCard.RemoveCardTitle']}";
    etcconfirm(msg, function(){
        var f = {AssetNo : ${assetNo}, removeFuelCardId: id, removeCard : true};
        etcNavigate("/${solutionUrl}/x/AssetSettingFuelCard", f);
    }, null, title, ok, can);

}
function editAssetDealInfo(what){
	var url = '${solutionUrl}/x/AssetSettingGeneral';	
	var data = {'AssetNo':${assetNo}, 'EditField':what};
	var diag = "editAssetDealDialogHolder";
	dialogLinkItemShow(url, data, diag);
}
function editAssetDeal(id){
	var url = '${solutionUrl}/x/AssetSettingDeal';	
	var data = {'AssetNo':${assetNo}, 'DealId':id};
	var diag = "editAssetDealDialogHolder";
	dialogLinkItemShow(url, data, diag);
}
function newAssetDeal(){
	var url = '${solutionUrl}/x/AssetSettingDeal';	
	var data = {'AssetNo':${assetNo}};
	var diag = "editAssetDealDialogHolder";
	dialogLinkItemShow(url, data, diag);
}

function addAssetLimit(){
	addAssetLimit(false, 0);
}

function addAssetLimit(isEdit, limitId) {
    var url = '${solutionUrl}/x/LimitDialog';
    var data = {'AssetNo':${assetNo}, 'isEdit':!!(isEdit), 'limitId':limitId};
    var diag = "editAssetDealDialogHolder";
    dialogLinkItemShow(url, data, diag);
}

function deleteLimitation(idt){		
	var f = {mode : "CAR", id : idt, deleteid : idt, DeleteLimitation : true, AssetNo : ${assetNo}};
	etcNavigate("/${solutionUrl}/x/LimitDialog", f);
}
function regCardDiag(){
	var url = '${solutionUrl}/x/RegisterAssetCardDialog';	
	var data = {'id':${assetNo}};
	var diag = "editAssetDealDialogHolder";
	dialogLinkItemShow(url, data, diag,function(){$('#rcard0').focus();});	
}
function deleteCard(carid){	
	var msg = "${m['confirmDeleteCard.header']} "+carid+"?";
	var ok = "${m['OK']}";
	var can = "${m['Cancel']}";			
	var title = "${m['menu.deleteCard']}";
	etcconfirm(msg, function(){	
		var f = {"DeleteCarCard" : "DeleteCarCard", id : ${assetNo}};		
		etcNavigate("/${solutionUrl}/x/RegisterAssetCardDialog", f);	
	}, null, title, ok, can);		
}
function regBarcodeDiag(){
	var url = '${solutionUrl}/x/RegisterBarcodeDialog';	
	var data = {'AssetNo':${assetNo}};
	var diag = "editAssetDealDialogHolder";
	dialogLinkItemShow(url, data, diag,function(){$('#rbarcode0').focus();});	
}
function deleteBarcode(carid){
	var msg = "${m['confirmDeleteBarcode.header']} "+carid+"?";
	var ok = "${m['OK']}";
	var can = "${m['Cancel']}";			
	var title = "${m['menu.DeleteBarcode']}";
	etcconfirm(msg, function(){				
		var f = {"DeleteBarcode" : "DeleteBarcode", AssetNo:${assetNo}};		
		etcNavigate("/${solutionUrl}/x/RegisterBarcodeDialog", f);	
	}, null, title, ok, can);		
	
}

function openFuelCardDialog(id){
    dialogLinkItemShow("${solutionUrl}/x/FuelCardDialog",{"fuelCardId":id, "fromAssetSettings":true},"editAssetDealDialogHolder");
}

// @author: Elliot Sveum Torp
function openChargingTagDialog(id){
    dialogLinkItemShow("${solutionUrl}/x/ChargingTagDialog",{"chargingTagId":id, "fromAssetSettings":true},"editAssetDealDialogHolder");
}

function openTollTagDialog(id){
    dialogLinkItemShow("${solutionUrl}/x/TollTagDialog",{"tollTagId":id, "fromAssetSettings":true},"editAssetDealDialogHolder");
}
function removeTollTag(id, carid){
    var msg = "${m['TollTag.RemoveTagConfirm']}";
    var ok = "${m['OK']}";
    var can = "${m['Cancel']}";
    var title = "${m['TollTag.RemoveTagTitle']}";
    etcconfirm(msg, function(){
        var f = {AssetNo : ${assetNo}, removeTollTagId: id, removeTag : true};
        etcNavigate("/${solutionUrl}/x/AssetSettingTollTag", f);
    }, null, title, ok, can);

}

function AssetSettingStep3Wizard(){
    var tour;
    tour = new Shepherd.Tour({
        defaults: {
            classes: 'shepherd-element assetWizardMaxWidth superZ shepherd shepherd-open shepherd-theme-arrows shepherd-transparent-text',
            scrollTo: true
        }
    });

    createBasicStep(tour, 'step1','${m["AssetSettingsWizard.Deal"]}', '#dealHead',"right",'${m["Next"]}','${m["Close"]}');
    createBasicStep(tour, 'step2','${m["NewAssetStep3Wizard.Locker"]} ${m["NewAssetStep3Wizard.Door"]}', '#keyLocker',"right", '${m["Next"]}','${m["Close"]}');
    createBasicStep(tour, 'step3','${m["AssetSettingsWizard.cardTag"]}', '#cardTag',"right", '${m["Next"]}','${m["Close"]}');
    createBasicStep(tour, 'step4','${m["NewAssetStep3Wizard.Buddy"]}', '#buddy',"right", '${m["Next"]}','${m["Close"]}');
    createBasicStep(tour, 'step5','${m["NewAssetStep3Wizard.Standarduser"]}', '#standardUser',"right", '${m["Next"]}','${m["Close"]}');
    createBasicStep(tour, 'step6','${m["NewAssetStep3Wizard.RoleSel"]}', '#assetRole',"right", '${m["Next"]}','${m["Close"]}');
    createBasicStep(tour, 'step7','${m["NewAssetStep3Wizard.Ownership"]}', '#ownership',"right", '${m["Next"]}','${m["Close"]}');
    createBasicStep(tour, 'step7','${m["AssetSettingsWizard.Limit"]}', '#limitHead',"right", '${m["Next"]}','${m["Close"]}');

    tour.start();
}
</script>
