<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
         pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="etc" uri="/WEB-INF/tags.tld"%>
<script src="/script/etc_DataGrid.js" ></script>
<script src="/script/etc_ReportFilter.js" ></script>
<link rel="stylesheet" type="text/css" href="/view/theme/ETC/bsdatetimepicker/bootstrap-datepicker3.standalone.min.css">
<script type="text/javascript" src="/view/theme/ETC/bsdatetimepicker/bootstrap-datepicker.min.js" ></script>

<script>

    function loadChargingDetails(id){
        $.ajax({
            url: "/${solutionUrl}/x/ChargingHistoryDetails",
            type: "POST",
            dataType:"html",
            data: {
                chargeId: id
            },
            success:function(data){
                loadReportDetails(id, data);
            }
        });
    }

    function reloadChargingHistory(){
        refreshFilter('${chargingParameters.filterName}', true)
    }


    function preselectCharging(){
        <c:if test="${not empty SelectedChargingID}">
        if("${SelectedChargingID}" > 0){
            var tr = $("#chargingHistoryReportDataHolder").find("tr[data-id=${SelectedChargingID}]");
            tr.find(".reportDetailsButton").first().click();
            removeParameterInUrl("chargingId",false,true);
        }
        </c:if>
    }

function GotoVoucher(voucherId){
 etcNavigate("/${solutionUrl}/x/VoucherOverview/voucherId/"+voucherId);
}

</script>


<etc:OverviewReport
     params="${chargingParameters}"
     dataGridName="chargingHistoryReport"
     ajaxUrl="ChargingHistoryReport"
     noDataMsg="${m['ChargingHistory.NoData']}"
     tableFields="${mainLayout}"
     detailsFunction="loadChargingDetails"
     refreshFunction="reloadChargingHistory"
     gridConditions=""
     hasLocChooser="${hasLocChooser}"
     dataParameters="${dataGridParameters}"
     hasItemsPerPage="true"
     gridCallback="preselectCharging"
     useNewReportFilter="true"
     headers="true"
/>
