package etc.caradmin.mvc.controller.charging;

import etc.caradmin.beans.Data;
import lombok.EqualsAndHashCode;

import javax.annotation.Nullable;
import java.io.Serializable;

/**
 * Dataobjekt for ladeleverand�r
 *  @author Rihards D. U.
 */
@EqualsAndHashCode(callSuper = true)
@lombok.Data
public class ChargingProvider extends Data implements Serializable {
    /**
     * Id
     */
    private int id;
    /**
     * Levrand�rens navn
     */
    private String name;
    /**
     * Brukernavn
     */
    private String userName;
    /**
     * Passord
     */
    private String password;
    /**
     * Er brukeren registrert
     */
    private Boolean registered;
    /**
     * Token for ChargingProvider innlogging
     */
    private String token;
}
