<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="etc" uri="/WEB-INF/tags.tld" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<etc:DialogHeader iconPath="/images/newdesign/settings_104_darkgray.png" title="${dialogTitle}"></etc:DialogHeader>
<div class="assetSettingsDialog" autofocus>
    <div class="caradmin-dialog-info caradmin-dialog-text">${m["ChargingTag.SearchChargingTag"]}</div>
    <input type="text" id="ChargingTag" class="etc_input etc_input100">
    <input type="hidden" id="chargingTagId">
    <div style="margin-top:10px;">
        <button class="SaveButton modernButtonSmall " onclick="addChargingTag()">${m["Save"]}</button>
        <etc:ModernButton text='${m.t("Cancel")}' image="Cancel_50px_white.png" color="#FFF" bgcolor="#b7b7b7" onclick="$('#dialogLinkItem').dialog( 'close' );"/>
    </div>
</div>
<script>
    $(document).ready(function(){
        makeAutocomplete("chargingTag","chargingTagId","ChargingTagSearch.ajax","${solutionDb}");
    });

    function addChargingTag() {
        var cid = $("#chargingTagId").val();
        $("#dialogLinkItem").dialog( "close" );
        if(cid){
            var f = {AssetNo:${assetNo}, addChargingTagId: cid, saveTag: true};
            etcNavigate("/${solutionUrl}/x/${retPath}", f);
        }
    }
</script>
